Page 2 of 2 FirstFirst 12
Results 11 to 12 of 12

Thread: Support confusion with LTS

  1. #11
    Join Date
    Jun 2008
    Location
    Tennessee
    Beans
    3,413

    Re: Support confusion with LTS

    Quote Originally Posted by sagsaw-sawant View Post
    which means that if I want lxde and 5 year support then I will have to use lxde package ...

    almost clear the confusion ...
    No.

    There is no way for you to have 5 years of support with Ubuntu + LXDE. No matter how you go about installing it, the result is the same.

    All flavors (ubuntu, lubuntu, kubuntu, xubuntu, server, edubuntu) pull packages from the same set of repositories. Each flavor maintains a certain set of packages in the repositories. If flavor A is a 5-year LTS, its maintainers are going to keep up with supporting their packages for 5 years. If flavor B is a 3-year LTS, its maintainers are going to be supporting those packages for 3 years.

    If flavor A and B both use a package, it's going to be maintained for 5 years, because the flavor A developers will still be supporting it.
    If only flavor B uses the package, and flavor A doesn't, it's only getting 3 years of support.

    LXDE (unless I'm wrong) is packaged and maintained in the repos by the Lubuntu project developers. When they stop maintaining it, it's unsupported.

    The kernel, on the other hand, is going to be maintained for 5 years no matter what flavor you're using, because all flavors are using the kernel.

    Then of course there are packages maintained by the community (the Universe repos). I don't know if LTS guarantees any amount of support for those packages. It's probably just up to the individual maintainer.

  2. #12
    Join Date
    Nov 2011
    Location
    /dev/root
    Beans
    7,129

    Re: Support confusion with LTS

    But lxde is not part of Ubuntu, so do not expect more than 3 years support. At least not from Canonical or the Ubuntu community (including Lubuntu).

    The important thing here is that 3 years a good enough. It means one year overlap between the long time support versions.

    LXLE, a re-spin based on Ubuntu 12.04 LTS, is promising 5 years support for a system using lxde. LXLE is developed and maintained by a separate organisation.
    Last edited by sudodus; May 2nd, 2014 at 11:07 PM. Reason: lykwydchyckyn was faster

Page 2 of 2 FirstFirst 12

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •